Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.feature.schema
Interface PropertyType

All Known Subinterfaces:
  MappedPropertyType

All Known Implementing Classes:
  AbstractPropertyType, ComplexPropertyType, FeaturePropertyType, GeometryPropertyType, MappedFeaturePropertyType, MappedGeometryPropertyType, MappedSimplePropertyType, MultiGeometryPropertyType, SimplePropertyType

    public interface PropertyType

Represents a property type in a GML feature type definition.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, Markus Schneider , Anup Deshmukh , last edited by: $Author: mschneider $

Method Summary
`int` | `getMaxOccurs()` Returns the maximum number of occurrences of the property within a feature.
`int` | `getMinOccurs()` Returns the minimum number of occurrences of the property within a feature.
`QualifiedName` | `getName()` Returns the name of the property.
`int` | `getType()` Returns the code of the data type that the property contains.

Method Detail

### getName

    QualifiedName getName()

  Returns the name of the property.

  Returns:
    the name of the property

### getType

    int getType()

  Returns the code of the data type that the property contains.

  Returns:
    the code of the data type that the property contains
  See Also:
    `Types`

### getMinOccurs

    int getMinOccurs()

  Returns the minimum number of occurrences of the property within a feature. The method returns 0 if the property is nillable.

  Returns:
    minimum number of occurrences of the property, 0 if the property is nillable

### getMaxOccurs

    int getMaxOccurs()

  Returns the maximum number of occurrences of the property within a feature. The method returns -1 if the number of occurences is unbounded.

  Returns:
    maximum number of occurrences of the property, -1 if the number of occurences is unbounded

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org